Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface SessionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ClusterSingleSignOn, SingleSignOn

    public interface SessionListener

extends EventListener

Interface defining a listener for significant Session generated events.

Version:
  $Id: SessionListener.java 1200162 2011-11-10 05:37:57Z kkolinko $
Author:
  Craig R. McClanahan

Method Summary
`void` | `sessionEvent(SessionEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### sessionEvent

    void sessionEvent(SessionEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - SessionEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.